[giggle] [tests] Add xml validation test for GtkBuilder files
- From: Javier Jardón <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [giggle] [tests] Add xml validation test for GtkBuilder files
- Date: Mon, 5 Apr 2010 17:15:54 +0000 (UTC)
commit ffdf46a78550b980520659b7e9d90a321b14cb99
Author: Javier Jardón <jjardon gnome org>
Date: Mon Apr 5 04:59:13 2010 +0200
[tests] Add xml validation test for GtkBuilder files
test/Makefile.am | 3 ++-
test/test_gtkbuilder_file_validation.sh | 8 ++++++++
2 files changed, 10 insertions(+), 1 deletions(-)
---
diff --git a/test/Makefile.am b/test/Makefile.am
index a6f8f29..a686051 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -11,7 +11,8 @@ AM_CPPFLAGS = \
check_PROGRAMS = \
check-bare
-TESTS = $(check_PROGRAMS)
+TESTS = $(check_PROGRAMS) \
+ test_gtkbuilder_file_validation.sh
EXTRA_DIST = \
multi-root.git/index \
diff --git a/test/test_gtkbuilder_file_validation.sh b/test/test_gtkbuilder_file_validation.sh
new file mode 100755
index 0000000..d841e29
--- /dev/null
+++ b/test/test_gtkbuilder_file_validation.sh
@@ -0,0 +1,8 @@
+#/bin/sh -e
+
+for x in $(find ../data/ -name "*.ui")
+do
+ # echo Validating $x
+ # TODO: Is there a GtkBuilder DTD?
+ xmllint --noout $x || exit 1
+done
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]